Subject: bug#32344: [PATCH] 26.3/27 Option to avoid comint override colorization provided by major modes

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Aug 2020 14:51:16 +0200

Carlos Pita <[email-masked]> writes:

> I've merged both patches since the python.el one was trivial and
> dependent on the other and the main target of the new option.
>
> I've also rewritten the commit message following the conventions
> described in CONTRIBUTE.
>
> Here is the commit so that you can easily comment online if you so
> prefer:
> https://github.com/memeplex/emacs/commit/27acd97dfec7ecd9667a032e3a94650cb01244c1

Could you post the patch here instead?  It's nice to have the proposed
patches in the bug tracker.

Anyway, while Juri's suggestion makes sense (merging faces) in general,
I think the mechanism here (making comint not do any face mangling for
the modes that do it themselves) is cleaner.  So I think Carlos' patch
should be applied to Emacs.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no